SSL_GET_CERTIFICATE(3)

NAME
SSL_get_certificate, SSL_get_privatekey - get SSL certificate and private key

SYNOPSIS
#include <openssl/ssl.h>
X509 *
SSL_get_certificate(const SSL *ssl);
EVP_PKEY *
SSL_get_privatekey(const SSL *ssl);

DESCRIPTION
These functions retrieve certificate and key data from an SSL object. They return internal pointers that must not be freed by the application program.

RETURN VALUES
SSL_get_certificate() returns the active X.509 certificate currently used by ssl or NULL if none is active.

SSL_get_privatekey() returns the active private key currently used by ssl or NULL if none is active.

SEE ALSO
SSL_check_private_key(3), SSL_use_certificate(3)

HISTORY
SSL_get_certificate() first appeared in SSLeay 0.5.2a. SSL_get_privatekey() first appeared in SSLeay 0.8.0. Both functions have been available since OpenBSD 2.4.